all repos — tint2 @ cb43e766606ca96c0be9f2b0f01d6d82d6b921a2

fork of the tint2 desktop panel for my custom setup - only minimized windows across all desktops for the taskbar

Release 0.14
o9000 mrovi9000@gmail.com
commit

cb43e766606ca96c0be9f2b0f01d6d82d6b921a2

parent

0fc22b5cd69e139b84f99cebdc61d5bdcec2940f

6 files changed, 10 insertions(+), 47 deletions(-)

jump to
M ChangeLogChangeLog

@@ -1,4 +1,4 @@

-2017-03-25 master +2017-03-26 0.14 - Enhancements: - New plugin: button.
M README.mdREADME.md

@@ -1,5 +1,5 @@

-# Latest stable release: 0.13.3 -Changes: https://gitlab.com/o9000/tint2/blob/0.13.3/ChangeLog +# Latest stable release: 0.14 +Changes: https://gitlab.com/o9000/tint2/blob/0.14/ChangeLog Documentation: [doc/tint2.md](doc/tint2.md)

@@ -8,7 +8,7 @@

``` git clone https://gitlab.com/o9000/tint2.git cd tint2 -git checkout 0.13.3 +git checkout 0.14 mkdir build cd build cmake ..
M doc/readme.htmldoc/readme.html

@@ -199,9 +199,9 @@

</style> </head> <body> -<h1 id="latest-stable-release-0-13-3"><span class="md2man-title">Latest</span> <span class="md2man-section">stable</span> <span class="md2man-date">release:</span> <span class="md2man-source">0.13.3</span><a name="latest-stable-release-0-13-3" href="#latest-stable-release-0-13-3" class="md2man-permalink" title="permalink"></a></h1><p>Changes: <a href="https://gitlab.com/o9000/tint2/blob/0.13.3/ChangeLog">https://gitlab.com/o9000/tint2/blob/0.13.3/ChangeLog</a></p><p>Documentation: <a href="manual.html">manual.html</a></p><p>Compile it with (after you install the <a href="https://gitlab.com/o9000/tint2/wikis/Install#dependencies">dependencies</a>):</p><pre class="highlight plaintext"><code>git clone https://gitlab.com/o9000/tint2.git +<h1 id="latest-stable-release-0-14"><span class="md2man-title">Latest</span> <span class="md2man-section">stable</span> <span class="md2man-date">release:</span> <span class="md2man-source">0.14</span><a name="latest-stable-release-0-14" href="#latest-stable-release-0-14" class="md2man-permalink" title="permalink"></a></h1><p>Changes: <a href="https://gitlab.com/o9000/tint2/blob/0.14/ChangeLog">https://gitlab.com/o9000/tint2/blob/0.14/ChangeLog</a></p><p>Documentation: <a href="manual.html">manual.html</a></p><p>Compile it with (after you install the <a href="https://gitlab.com/o9000/tint2/wikis/Install#dependencies">dependencies</a>):</p><pre class="highlight plaintext"><code>git clone https://gitlab.com/o9000/tint2.git cd tint2 -git checkout 0.13.3 +git checkout 0.14 mkdir build cd build cmake ..
M doc/tint2.1doc/tint2.1

@@ -1,4 +1,4 @@

-.TH TINT2 1 "2017\-03\-12" 0.13.3 +.TH TINT2 1 "2017\-03\-26" 0.14 .SH NAME .PP tint2 \- lightweight panel/taskbar
M doc/tint2.mddoc/tint2.md

@@ -1,4 +1,4 @@

-# TINT2 1 "2017-03-12" 0.13.3 +# TINT2 1 "2017-03-26" 0.14 ## NAME tint2 - lightweight panel/taskbar
M get_version.shget_version.sh

@@ -1,46 +1,9 @@

#!/bin/sh -MAJOR=0.13 +MAJOR=0.14 DIRTY="" -if git status 1>/dev/null 2>/dev/null -then - git update-index -q --ignore-submodules --refresh - # Disallow unstaged changes in the working tree - if ! git diff-files --quiet --ignore-submodules -- - then - if [ "$1" = "--strict" ] - then - echo >&2 "Error: there are unstaged changes." - git diff-files --name-status -r --ignore-submodules -- >&2 - exit 1 - else - DIRTY="-dirty" - fi - fi - - # Disallow uncommitted changes in the index - if ! git diff-index --cached --quiet HEAD --ignore-submodules -- - then - if [ "$1" = "--strict" ] - then - echo >&2 "Error: there are uncommitted changes." - git diff-index --cached --name-status -r --ignore-submodules HEAD -- >&2 - exit 1 - else - DIRTY="-dirty" - fi - fi - VERSION=$(git describe --exact-match 2>/dev/null || echo "$MAJOR-git$(git show -s --pretty=format:%ci | cut -d ' ' -f 1 | tr -d '-').$(git show -s --pretty=format:%h)")$DIRTY -else - VERSION=$(head -n 1 ChangeLog | cut -d ' ' -f 2) - if [ $VERSION = "master" ] - then - VERSION=$VERSION-$(head -n 1 ChangeLog | cut -d ' ' -f 1) - fi -fi - -VERSION=$(echo "$VERSION" | sed 's/^v//') +VERSION=0.14 echo '#define VERSION_STRING "'$VERSION'"' > version.h echo $VERSION